SGE_PASSWD(1)

NAME
sgepasswd - Modify the Grid Engine password file of Grid Engine

SYNTAX
sgepasswd [[ -D domain ] -d user ]

sgepasswd [ -D domain ] [ user ]

DESCRIPTION
sgepasswd modifies the Grid Engine password file

This file contains a list of usernames and their Microsoft Windows password in encrypted form. and on how hosts running Microsoft Windows as operating systems use this information to start jobs for a certain user.

Each user can use the sgepasswd application to add a new entry for their own user account. It is also possible to change the stored password with sgepasswd since the user knows the old one.

The root user additionally has the permission to change the password entries for other user accounts. Root can also delete existing entries.

The sgepasswd binary is only available on non-Windows hosts.

OPTIONS

-D domain
    By default sgepasswd will add/modify the current Unix username without domain specification. This switch can be used to add a domain specification in front of the current user name. Consult your Microsoft Windows documentation to get more information about domain users.

-d user
    Only root can use this parameter to delete entries from the file.

-help
    Prints a listing of all options.

ENVIRONMENTAL VARIABLES

SGE_CERTFILE
    Specifies the location of public key file. Per default sgepasswd will use the file $SGE_ROOT/$SGE_CELL/common/sgeCA/certs/cert.pem

SGE_KEYFILE
    If set, specifies the location of the private key file. Default is /var/sgeCA/port$SGE_QMASTER_PORT/private/key.pem

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.